org.ajax4jsf.taglib.html.jsp

## Class HtmlIncludeTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.IncludeTag
            - - org.ajax4jsf.taglib.html.jsp.HtmlIncludeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class HtmlIncludeTag
      extends IncludeTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlIncludeTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAjaxRendered(javax.el.ValueExpression __ajaxRendered)` Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action.
    `void` | `setDir(javax.el.ValueExpression __dir)` Direction indication for text that does not inherit directionality.
    `void` | `setKeepTransient(javax.el.ValueExpression __keepTransient)` Flag for mark all child components to non-transient.
    `void` | `setLang(javax.el.ValueExpression __lang)` Code describing the language used in the generated markup for this component Setter for lang
    `void` | `setLayout(javax.el.ValueExpression __layout)` HTML layout for generated markup.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
    `void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
    `void` | `setTitle(javax.el.ValueExpression __title)` Advisory title information about markup elements generated for this component Setter for title

    - ### Methods inherited from class org.ajax4jsf.taglib.html.jsp.IncludeTag

      `doEndTag, doStartTag, setViewId`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### HtmlIncludeTag

          public HtmlIncludeTag()

  - ### Method Detail

    - #### setAjaxRendered

          public void setAjaxRendered(javax.el.ValueExpression __ajaxRendered)

      Defines, whether the content of this component must be (or not) included in AJAX response created by parent AJAX Container, even if it is not forced by reRender list of ajax action. Ignored if component marked to output by some Ajax action component. Default value is "true". Setter for ajaxRendered
      Parameters:
        `ajaxRendered` - - new value

    - #### setDir

          public void setDir(javax.el.ValueExpression __dir)

      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir
      Parameters:
        `dir` - - new value

    - #### setKeepTransient

          public void setKeepTransient(javax.el.ValueExpression __keepTransient)

      Flag for mark all child components to non-transient. If true, all children components will be set to non-transient state and keep in saved components tree. For output in self-renderer region all content ( By default, all content in &lt;f:verbatim&gt; tags and non-jsf elements in facelets, marked as transient - since, self-rendered ajax regions don't plain output for ajax processing ). Setter for keepTransient
      Parameters:
        `keepTransient` - - new value

    - #### setLang

          public void setLang(javax.el.ValueExpression __lang)

      Code describing the language used in the generated markup for this component Setter for lang
      Parameters:
        `lang` - - new value

    - #### setLayout

          public void setLayout(javax.el.ValueExpression __layout)

      HTML layout for generated markup. Possible values: "block" for generating an HTML &lt;div&gt; element, "inline" for generating an HTML &lt;span&gt; element, and "none" for generating no HTML element. There is a minor exception for the "none" case where a child element has the property "rendered" set to "false". In this case, we create an empty &lt;span&gt; element with same ID as the child element to use as a placeholder for later processing. Default value is &quot;inline&quot; Setter for layout
      Parameters:
        `layout` - - new value

    - #### setStyle

          public void setStyle(javax.el.ValueExpression __style)

      CSS style(s) is/are to be applied when this component is rendered Setter for style
      Parameters:
        `style` - - new value

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression __styleClass)

      Corresponds to the HTML class attribute Setter for styleClass
      Parameters:
        `styleClass` - - new value

    - #### setTitle

          public void setTitle(javax.el.ValueExpression __title)

      Advisory title information about markup elements generated for this component Setter for title
      Parameters:
        `title` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `IncludeTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `IncludeTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Overrides:
        `getComponentType` in class `IncludeTag`

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `IncludeTag`

Copyright © 2013. All Rights Reserved.